Installer - Bug #35870

mod_expires is not loaded
12/14/2022 01:58 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 3.5.2
Difficulty: Fixed in Releases: 3.5.2,3.6.0
Triaged: Yes Found in Releases: 3.3.0, 3.4.0,3.5.0
Bugzilla link: 2160056 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/1101,
https://github.com/theforeman/foreman-i
nstaller/pull/829
Description

In #34590 the default modules were no longer loaded, but this also disabled mod_expires. This makes #33956 less effective. It is still

an improvement over serving assets via Rails, but it doesn't allow the browser to aggressively cache assets.

It should be noted that mod_expires in puppetlabs-apache is a bit special. | ran into this in

https://github.com/puppetlabs/puppetlabs-apache/pull/2288, so the fix may be needed in multiple places.

Associated revisions

Revision a132b682 - 01/12/2023 12:41 PM - Ewoud Kohl van Wijngaarden
Fixes #35870 - Ensure mod_expires is loaded
In case only minimal Apache modules are loaded then mod_expires may not

be present. The result is that assets are sent without headers that
allow browsers to cache it.

History

#1 - 12/14/2022 02:01 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/1101 added

#2 - 01/11/2023 12:40 PM - Evgeni Golov

- Category set to Foreman modules

#3 - 01/11/2023 12:41 PM - Evgeni Golov
- Found in Releases 3.3.0, 3.4.0 added

#4 - 01/11/2023 12:41 PM - Evgeni Golov
- Bugzilla link set to 2160056

#5 - 01/12/2023 12:41 PM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#6 - 01/12/2023 12:41 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.5.2

#7 - 01/12/2023 01:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/34590
https://projects.theforeman.org/issues/33956
https://github.com/puppetlabs/puppetlabs-apache/pull/2288

Applied in changeset puppet-foreman|a132b682b3cae9e9d2d3d94fd285bc1a7d73fff1.

#8 - 01/26/2023 01:39 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/829 added

#9 - 01/26/2023 02:55 PM - The Foreman Bot
- Fixed in Releases 3.5.2 added

#10 - 02/28/2023 03:00 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
